package cn.iocoder.yudao.module.mes.controller.admin.organization.vo;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum OrgStatusEnum {


    关闭("close"),
    空闲("free"),
    使用("inuse");

    private final String value;

    // 一个可选的方法，用于根据整数值获取对应的枚举实例
    public static OrgStatusEnum fromValue(String value) {
        for (OrgStatusEnum status : OrgStatusEnum.values()) {
            if (status.getValue() .equals(value)) {
                return status;
            }
        }
        throw new IllegalArgumentException("Unknown value: " + value);
    }

}